<?php

namespace App\Policies;

use App\Models\NewsEvent;
use App\Models\User;
use Illuminate\Auth\Access\Response;

class NewsEventPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->hasAnyPermission([
            'create newsevent', 'edit newsevent', 'view newsevent', 'delete newsevent'
        ]);
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, NewsEvent $newsEvent): bool
    {
        return $user->hasPermissionTo('view newsevent');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->hasPermissionTo('create newsevent');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, NewsEvent $newsEvent): bool
    {
        return $user->hasPermissionTo('edit newsevent');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, NewsEvent $newsEvent): bool
    {
        return $user->hasPermissionTo('delete newsevent');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, NewsEvent $newsEvent): bool
    {
        return $user->hasPermissionTo('restore newsevent');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, NewsEvent $newsEvent): bool
    {
        return $user->hasPermissionTo('force delete newsevent');
    }
}
